Issue 126369 - Complete the HWP (Hangul Word Processor) filter removal
Summary: Complete the HWP (Hangul Word Processor) filter removal
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: 4.1.1
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.9
Assignee: Andrea Pescetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-14 21:06 UTC by Andrea Pescetti
Modified: 2020-12-28 12:41 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2015-06-14 21:06:52 UTC
The HWP (Hangul Word Processor) filter removal from issue 126281 has some mostly cosmetic follow-ups that are unrelated to the security advisory. For easier understanding by the general public, the two should be decoupled.

So, while issue 126281 (already fixed as of 1st May 2015) applies to the library removal, this issue applies to other related work such as (see dev list):

- removing hwpfilter from include paths
- drop support for the .hwp file extension
- remove a special license paragraph related to HWP
- remove it from the RAT scan exceptions list
Comment 1 Matthias Seidel 2017-03-18 10:13:30 UTC
I found, that after a clean install on Windows .hwp is still registered
as a text document for writer.

I found 2 references for it in the source:

http://opengrok.adfinis-sygroup.org/source/search?q=.hwp&defs=&refs=&path=&hist=&project=aoo-trunk

Can somebody with technical background look if it is safe to remove
these parts?
Comment 2 Matthias Seidel 2017-03-22 14:21:34 UTC
I found even more references to HWP:

http://opengrok.adfinis-sygroup.org/source/search?q=hwp&defs=&refs=&path=%2Fmain&hist=&project=aoo-trunk
Comment 3 SVN Robot 2017-04-14 10:37:20 UTC
"mseidel" committed SVN revision 1791341 into trunk:
#i126369# Removed some fragments for removed HWP (Hangul Word Processor)
Comment 4 SVN Robot 2017-04-18 21:51:12 UTC
"mseidel" committed SVN revision 1791839 into trunk:
#i126369# Removed last (hopefully) fragments for removed HWP (Hangul Word Pro...
Comment 5 Matthias Seidel 2020-07-13 14:42:02 UTC
I think all remaining parts of the HWP filter are now removed in trunk and AOO42X.